Skip to main content
GET
/
registry
/
metadata
/
v1
/
instruments
/
{instrumentId}
/registry/metadata/v1/instruments/{instrumentId}
curl --request GET \
  --url https://api.example.com/registry/metadata/v1/instruments/{instrumentId}
{
  "id": "<string>",
  "name": "<string>",
  "symbol": "<string>",
  "decimals": 10,
  "supportedApis": {},
  "totalSupply": "<string>",
  "totalSupplyAsOf": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

instrumentId
string
required

Response

ok

id
string
required

The unique identifier assigned by the admin to the instrument.

name
string
required

The display name for the instrument recommended by the instrument admin. This is not necessarily unique.

symbol
string
required

The symbol for the instrument recommended by the instrument admin. This is not necessarily unique.

decimals
integer<int8>
default:10
required

The number of decimal places used by the instrument.

Must be a number between 0 and 10, as the Daml interfaces represent holding amounts as Decimal values, which use 10 decimal places and are precise for 38 digits. Setting this to 0 means that the instrument can only be held in whole units.

This number SHOULD be used for display purposes in a wallet to decide how many decimal places to show and accept when displaying or entering amounts.

supportedApis
object
required

Map from token standard API name to the minor version of the API supported, e.g., splice-api-token-metadata-v1 -> 1 where the 1 corresponds to the minor version.

totalSupply
string

Decimal encoded current total supply of the instrument.

totalSupplyAsOf
string<date-time>

The timestamp when the total supply was last computed.